Next Previous Contents

## 1. Introduction

This document describes the functions that are part of the slsh library. These functions are written in S-Lang and make use of lower-level intrinsic functions that are described in the Intrinsic Function Reference Manual. As the slsh library functions make no use of slsh intrinsics, they may be used by any conforming S-Lang application.

Before a particular slsh library function may be used, the file that defines the function must first be loaded. The recommended mechanism for loading a file is through the use of the `require` function, e.g.,

> `

>        require ("structfuns");

> `

will make the functions defined in the file `structfuns.sl` available to the interpreter. The `require` function itself is defined in the file `require.sl`, which a conforming application will automatically load.

Next Previous Contents